Bug#928185: unblock: openjdk-11/11.0.3+7-4

2019-06-21 Thread tony mancill
34:12 UTC, the buildd status page [1] indicates "BD-Uninstallable": > Dependency installability problem for openjdk-11 on arm64: > > Installability of build dependencies not tested yet I'm not sure what that means. Perhaps it needs to be poked again? Thank you for helping u

Bug#928185: unblock: openjdk-11/11.0.3+7-4

2019-06-21 Thread tony mancill
On Fri, Jun 21, 2019 at 09:35:29PM +0200, Paul Gevers wrote: > Hi tony, > > On 20-06-2019 15:44, tony mancill wrote: > > I interpret this exchange to mean that 11.0.3+7-5 is still the version > > preferred by the OpenJDK Team and so have uploaded that, bui

Bug#928185: unblock: openjdk-11/11.0.3+7-4

2019-06-20 Thread tony mancill
On Wed, Jun 19, 2019 at 10:48:29PM +0200, Matthias Klose wrote: > On 19.06.19 22:03, Paul Gevers wrote: > > Hi Tony, > > > > On 18-06-2019 22:14, tony mancill wrote: > >> Things are looking good so far with 11.0.4+4+really11.0.3+7 in unstable, > >> and so I

Bug#928185: unblock: openjdk-11/11.0.3+7-4

2019-06-18 Thread tony mancill
-11-11.0.4+4+really11.0.3+7/debian/changelog 2019-06-14 > 12:28:25.0 -0700 > +++ openjdk-11-11.0.3+7/debian/changelog 2019-06-16 11:24:19.0 > -0700 > @@ -1,3 +1,10 @@ > +openjdk-11 (11.0.3+7-5) buster; urgency=medium > + > + * Team upload. >

Bug#930621: unblock: gpodder/3.10.7-2

2019-06-16 Thread tony mancill
will be seen as regression for our users. Also, the patch is simple. I have validated the change locally and the debdiff is attached. Thank you for your consideration! tony unblock gpodder/3.10.7-2 diff -Nru gpodder-3.10.7/debian/changelog gpodder-3.10.7/debian/changelog --- gpodder-3.10.7/debian

Bug#930611: openjdk-11-jre: depends on dummy package libgl1-mesa-glx

2019-06-16 Thread tony mancill
lease cycle. Still, thank you for spotting this and filing the bug report. This can be addressed for bullseye. Cheers, tony signature.asc Description: PGP signature

Bug#928185: unblock: openjdk-11/11.0.3+7-4

2019-06-11 Thread tony mancill
On Wed, Jun 12, 2019 at 12:37:11AM +0200, Moritz Mühlenhoff wrote: > On Mon, Jun 10, 2019 at 09:46:41PM -0700, tony mancill wrote: > > I am not a member of the OpenJDK team and contributed far less to the > > JDK 8 -> 11 transition than Emmanuel has. If he and Matthias ar

Bug#928185: unblock: openjdk-11/11.0.3+7-4

2019-06-10 Thread tony mancill
ontributed far less to the JDK 8 -> 11 transition than Emmanuel has. If he and Matthias are in agreement and the plan is palatable to the Release and Security Teams, that's ideal. Thanks, tony signature.asc Description: PGP signature

Bug#928185: unblock: openjdk-11/11.0.3+7-4

2019-06-10 Thread tony mancill
On Sun, Jun 09, 2019 at 04:19:53PM -0700, tony mancill wrote: > On Sun, Jun 09, 2019 at 09:54:50PM +0200, Paul Gevers wrote: > > Hi, > > > > On 05-06-2019 22:28, Paul Gevers wrote: > > > I really want bug 900912 and 925071 fixed. It seems that is missing from >

Bug#928185: unblock: openjdk-11/11.0.3+7-4

2019-06-09 Thread tony mancill
t version in unstable, 11.0.4+4-1. I will start with that package and patch upstream back to 11.0.3+7. For an upload to unstable the version will be: 11.0.4+4+really11.0.3+7-1 which will also roll unstable back to the upstream GA release. More soon - thank you, tony signature.asc Description: PGP signature

Bug#930106: unblock: zookeeper/3.4.13-2

2019-06-06 Thread tony mancill
information about the testing of the patched package in the BTS: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=929283 Thank you for your time and consideration! tony unblock zookeeper/3.4.13-2 diff -Nru zookeeper-3.4.13/debian/changelog zookeeper-3.4.13/debian/changelog --- zookeeper-3.4.13

Bug#928185: unblock: openjdk-11/11.0.3+7-4

2019-06-05 Thread tony mancill
On Tue, Jun 04, 2019 at 09:36:56PM +0200, Paul Gevers wrote: > Ping... [fixed borked address of doko and added Tony] > > On 29-05-2019 20:22, Paul Gevers wrote: > > Control: tags -1 928185 moreinfo > > Control: reopen -1 > > > > Hi, > > > > On 28-0

Bug#929283: zookeeper: CVE-2019-0201: information disclosure vulnerability

2019-06-04 Thread tony mancill
On Fri, May 31, 2019 at 09:01:12AM +0200, Salvatore Bonaccorso wrote: > Hi Tony, > > On Thu, May 30, 2019 at 06:47:33AM -0700, tony mancill wrote: > > On Mon, May 27, 2019 at 10:07:38PM -0700, tony mancill wrote: > > > On Sun, May 26, 2019 at 08:58:29PM +0200,

Bug#929283: zookeeper: CVE-2019-0201: information disclosure vulnerability

2019-05-30 Thread tony mancill
On Mon, May 27, 2019 at 10:07:38PM -0700, tony mancill wrote: > On Sun, May 26, 2019 at 08:58:29PM +0200, Moritz Mühlenhoff wrote: > > Looks fine, but can you please also include the test case upstream added? > > Given that it's quite complex to reconstruct the specific affected Z

Bug#929618: closed by tony mancill (Bug#929618: fixed in t-digest 1:3.0-2)

2019-05-28 Thread tony mancill
> Version: [-1:3.0-1-] {+1:3.0-2+} So I think that a user of buster could easily build a package from the sources in unstable. All that said, if someone needs t-digest to be part of buster, please feel free to revert the cdbs/debhelper change and upload a 1:3.0-3 package. Cheers, tony signature.asc Description: PGP signature

Bug#929283: zookeeper: CVE-2019-0201: information disclosure vulnerability

2019-05-27 Thread tony mancill
On Sun, May 26, 2019 at 08:58:29PM +0200, Moritz Mühlenhoff wrote: > On Fri, May 24, 2019 at 09:19:00AM +0100, Chris Lamb wrote: > > tags 929283 + patch > > thanks > > > > Hi Moritz, > > > > > > > zookeeper: CVE-2019-0201: information disclosure vulnerability > > > > > > > > Happy to prepare an

Bug#928444: fixed in jetty9 9.4.18-1

2019-05-26 Thread tony mancill
On Sun, May 26, 2019 at 09:24:30PM +0200, Moritz Mühlenhoff wrote: > On Mon, May 06, 2019 at 04:19:33AM +0000, tony mancill wrote: > > -BEGIN PGP SIGNED MESSAGE- > > Hash: SHA512 > > > > Format: 1.8 > > Date: Sun, 05 May 2019 19:57:45 -0700 > >

Bug#927673: src:zookeeper: new upstream release 3.4.14

2019-04-20 Thread tony mancill
Package: src:zookeeper Followup-For: Bug #927673 Forget that part about Yetus. Emmanuel has already taken care of that within Zookeeper. (Thanks Emmanuel.) So the update should go quickly signature.asc Description: PGP signature

Bug#927673: src:zookeeper: new upstream release 3.4.14

2019-04-20 Thread tony mancill
annotations [1] or patch ZK around it. Spotbugs is another new dependency introduced in this version that can either be packaged or patched. Cheers, tony [1] https://github.com/apache/yetus/tree/master/audience-annotations-component

Bug#927072: stretch-pu: package jabref/3.8.1+ds-3

2019-04-14 Thread tony mancill
Package: release.debian.org Severity: normal Tags: stretch User: release.debian@packages.debian.org Usertags: pu Hello, This proposed update for jabref addresses CVE-2018-1000652 [1], which will not be issued a DSA [2]. The debdiff is attached. Thank you, tony [1] https://security

Bug#921772: CVE-2018-1000652

2019-04-11 Thread tony mancill
as expected. Thanks to Gregor putting this together. Cheers, tony diff -Nru jabref-3.8.1+ds/debian/changelog jabref-3.8.1+ds/debian/changelog --- jabref-3.8.1+ds/debian/changelog2017-01-11 12:27:19.0 -0800 +++ jabref-3.8.1+ds/debian/changelog2019-02-10 11:25:26.0 -0800 @@

Bug#926870: stretch-pu: package ca-certificates-java/20170929~deb9u2

2019-04-11 Thread tony mancill
ld address the problem. Thank you, tony [1] https://release.debian.org/proposed-updates/stable.html#ca-certificates-java_20170929~deb9u2 diff -Nru ca-certificates-java-20170929~deb9u2/debian/changelog ca-certificates-java-20170929~deb9u3/debian/changelog --- ca-certificates-java-20170929~deb

Bug#922996: Bug#923176: stretch-pu: package ca-certificates-java/20170929~deb9u1

2019-04-10 Thread tony mancill
On Wed, Apr 10, 2019 at 06:25:42AM -0700, tony mancill wrote: > On Wed, Apr 10, 2019 at 09:49:02AM +0200, Andreas Beckmann wrote: > > Hi Tony, > > > > do we have another error in the script? > > > > Setting up ca-certificates-java (20170929~deb9u2) ... >

Bug#922996: Bug#923176: stretch-pu: package ca-certificates-java/20170929~deb9u1

2019-04-10 Thread tony mancill
On Wed, Apr 10, 2019 at 09:49:02AM +0200, Andreas Beckmann wrote: > Hi Tony, > > do we have another error in the script? > > Setting up ca-certificates-java (20170929~deb9u2) ... > /var/lib/dpkg/info/ca-certificates-java.postinst: line 55: printf: -d: > invalid option &g

Bug#916145: closure-compiler: Not working with recent JS code

2019-04-07 Thread tony mancill
t closure-compiler upstream releases about once a month on average, perhaps it is a candidate for doing Something Different. Maybe a closure-compiler-installer package or something like that? (Maybe backports would work, but we would have to manage the transitive dependencies as well.) Cheers, tony (wearing a Java Team hat...) signature.asc Description: PGP signature

Bug#926537: jabref: depends on unirest-java

2019-04-06 Thread tony mancill
can target this for buster+1. Thanks, tony [1] https://github.com/Kong/unirest-java/issues/176#issuecomment-475456557 signature.asc Description: PGP signature

Bug#925533: libspring-java: stopped building libspring-jms-java and libspring-messaging-java

2019-03-26 Thread tony mancill
On Tue, Mar 26, 2019 at 02:46:35PM +0100, Mattia Rizzolo wrote: > Source: libspring-java > Version: 4.3.22-2 > Severity: serious > X-Debbugs-Cc: tony mancill > Control: block 925390 924635 924634 by -1 > > Dear maintainer (and tony, whose upload 4.3.22-2 caused this bu

Bug#924594: Build-depend on icedtea-netx instead of icedtea-netx-common

2019-03-25 Thread tony mancill
etx instead of icedtea-netx-common (nbs). > > > > Patch at > > http://launchpadlibrarian.net/415155485/sweethome3d_6.1.2+dfsg-1_6.1.2+dfsg-1ubuntu1.diff.gz > > Hi tony, > > thank you for fixing the other companion packages of sweethome3d. > Actually I wanted to down

Bug#924510: cron runs job at wrong time; ignores values in /etc/crontab; after upgrade to buster

2019-03-14 Thread Tony Walker
and I missed it, but having anacron “own” jobs in /etc/cron.* surprised me. Sorry to waste your time and thanks for all of your (and the other maintainers) hard work. -- Tony Walker > On Mar 14, 2019, at 2:24 AM, Christian Kastner wrote: > > Hi, > > On 13.03.19 20:16, Tony Walker wrote:

Bug#924510: cron runs job at wrong time; ignores values in /etc/crontab; after upgrade to buster

2019-03-13 Thread Tony Walker
Package: cron Version: 3.0pl1-132 Severity: normal Dear Maintainer, * What led up to the situation? I upgraded to Buster from stretch and noticed that my cron jobs were running at ~7:38 AM instead of the time in my /etc/crontab. After some troubleshooting, I did reinstall by installing from

Bug#924192: ntpsec: at boot ntpsec starts before DNS is available

2019-03-10 Thread tony mancill
rough the systemd network.target documentation here [1] (but also being somewhat new to it myself), I wonder if the behavior would work for your case if the Debian package changed: WantedBy=network-pre.target to After=network-online.target Wants=network-online.target in the unit file [2]. Wo

Bug#861027: gprolog bug still there despite easy fixes

2019-03-10 Thread tony mancill
2019 and it exhibits the same problem reported in this bug report. Also problematic is that the sources for version 1.4.5 found on gprolog.org differ substantially from the 1.4.5 sources found in Debian. I suspect that we should report this upstream or downgrade to 1.4.4 as previously sugg

Bug#915291: java3ds-fileloader FTBFS: error: package com.sun.j3d.utils.applet does not exist

2019-03-10 Thread tony mancill
entry, I don't know whether we should reassign this bug back to java3d or request removal of the bava3ds-fileloader package. Is there any chance that we'll be able to restore the applet package in java3d? Cheers, tony signature.asc Description: PGP signature

Bug#922996: Bug#923176: stretch-pu: package ca-certificates-java/20170929~deb9u1

2019-02-27 Thread tony mancill
On Wed, Feb 27, 2019 at 04:01:08PM +0100, Andreas Beckmann wrote: > Hi Tony, > > On 2019-02-25 00:53, tony mancill wrote: > > Andreas, since you handled the prior update, feel free to take care of > > this one as well. The only difference between our debdiffs is that mine &g

Bug#922996: Bug#923176: stretch-pu: package ca-certificates-java/20170929~deb9u1

2019-02-24 Thread tony mancill
On Sun, Feb 24, 2019 at 07:45:00PM +, Adam D. Barratt wrote: > Control: forcemerge 922996 923176 > Control: tags 922996 + confirmed > > On Sun, 2019-02-24 at 11:03 -0800, tony mancill wrote: > > This update closes #922720 [1], which addresses a bashism that > > prev

Bug#923176: stretch-pu: package ca-certificates-java/20170929~deb9u1

2019-02-24 Thread tony mancill
you, tony [1] https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=922720 diff -Nru ca-certificates-java-20170929~deb9u1/debian/changelog ca-certificates-java-20170929~deb9u2/debian/changelog --- ca-certificates-java-20170929~deb9u1/debian/changelog 2019-02-11 04:14:23.0 -0800 +++ ca

Bug#922720: ca-certificates-java: update-ca-certificates fails with bashism in jks-keystore

2019-02-24 Thread tony mancill
ot; will echo a literal '-e' into JAR invocation: $ ash -c 'echo -e "foo\nbar"' -e foo bar $ dash -c 'echo -e "foo\nbar"' -e foo bar $ bash -c 'echo -e "foo\nbar"' foo bar It looks printf [3] is a better choice for this. Cheers, tony [1] https://www.debian.org/doc/m

Bug#922719: src:libpdfbox-java: FTBFS in buster and sid after recent update to lcdf-typetools

2019-02-19 Thread tony mancill
Package: src:libpdfbox-java Version: 1:1.8.16-1 Severity: serious Justification: Policy 4.15 The package FTBFS with the following error after a recent update to lcdf-typetools: [...] make[1]: Leaving directory '/build/libpdfbox-java-1.8.16' jh_linkjars -O--buildsystem=maven debian/rules

Bug#921953: apacheds: Further analysis

2019-02-18 Thread tony mancill
ed location. Since I'm not normally an uploader of apacheds, I'm going to give the normal uploaders a couple days to comment before proceeding. I am keen on getting this RC bug addressed, since it will remove several other packages from Debian, including zookeeper. Cheers, tony [1] https:

Bug#919831: Javadoc -link makes broken links if module name matches package name

2019-02-17 Thread tony mancill
On Fri, Feb 15, 2019 at 08:22:14PM +0100, Markus Koschany wrote: > Am 15.02.19 um 15:42 schrieb tony mancill: > [...] > > Any thoughts on whether we should focus on fixing javadoc generation or > > look at other ways to mitigate the FTBFS? > > Like burning all those -doc

Bug#919831: Javadoc -link makes broken links if module name matches package name

2019-02-15 Thread tony mancill
On Wed, Feb 13, 2019 at 10:07:34PM +0100, Markus Koschany wrote: > Hi, > > Am 26.01.19 um 20:07 schrieb tony mancill: > [...] > > I'm trying to peel the onion and believe that this is a problem in the > > maven-javadoc-plugin package. I found the same issue for a proje

Bug#868550: Bug#889594: concurrency problems with ansible

2019-02-12 Thread Tony Finch
oaded with the passphrase at the start of the run, so there is no user interaction while it is in progress. The random failures are becoming more frequent as the number of servers increases. I'm using gnupg 2.1.18-8~deb9u3 on Debian Stretch. Tony. -- f.anthony.n.finchhttp://dotat.at/ Dover, Wigh

Bug#921772: CVE-2018-1000652

2019-02-09 Thread tony mancill
d a new build dependency, or remove the > logging part, or rewrite it … I'd be grateful for help from Java > experts :) Hi Gregor, Thank you for doing this. I guess upstream switched out the logging implementation in their patch. I'll push an updated patch this weekend. Cheers, tony signature.asc Description: PGP signature

Bug#921221: icmake,icmake-doc: both ship /usr/share/man/man1/icmun.1.gz

2019-02-03 Thread tony mancill
On Sun, Feb 03, 2019 at 07:10:26PM +0100, Sven Joachim wrote: > On 2019-02-03 09:32 -0800, tony mancill wrote: > > > On Sun, Feb 03, 2019 at 11:44:41AM +0100, Andreas Beckmann wrote: > >> Package: icmake,icmake-doc > >> Version: 9.02.08-1 > >&

Bug#919180: [PATCH] Install missing shared libraries (Closes: #919180)

2019-02-03 Thread tony mancill
Hi Dmitry, Thank you for the patch. Tom, any concerns with an upload to acknowledge Andreas's NMU and include Dmitry's patch? Cheers, tony signature.asc Description: PGP signature

Bug#921221: icmake,icmake-doc: both ship /usr/share/man/man1/icmun.1.gz

2019-02-03 Thread tony mancill
here a chance that there is some sort of race/reuse on the buildds? Thank you, tony signature.asc Description: PGP signature

Bug#919831: Javadoc -link makes broken links if module name matches package name

2019-01-26 Thread tony mancill
nce it looks like all of these commits will be part of 3.1.0 [4]. I'm not sure how much time I'll have to dedicate to this over the weekend and so would be happy if someone fixes it before I get to it. Cheers, tony [1] https://github.com/oracle/opengrok/issues/2629 [2] https://issues.a

Bug#920316: RM: ifpgui -- ROM; abandoned upstream; Qt4 removal

2019-01-23 Thread tony mancill
Package: ftp.debian.org Severity: normal Requesting removal as per #920280 [1]. ifpgui is for ancient hardware and is no longer supported upstream. [1] https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=920280 signature.asc Description: PGP signature

Bug#920280: ifpgui: Shall we remove this package?

2019-01-23 Thread tony mancill
Hello Boyuan Yang, No concerns from me either. Since Jacob is busy, I'll file the removal request. Thank you, tony signature.asc Description: PGP signature

Bug#919917: yui-compressor: insufficient java dependency in jessie

2019-01-21 Thread tony mancill
requesting that the bug be addressed for jessie? (Do we need to open a RC-severity bug for oldstable right before the buster freeze?) Thanks, tony signature.asc Description: PGP signature

Bug#858855: gpodder: subscribing to https://requestforcomments.de/feed raises an ssl error

2019-01-19 Thread tony mancill
On Sat, Apr 15, 2017 at 10:18:27AM -0700, tony mancill wrote: > On Fri, Apr 14, 2017 at 09:52:37PM +0200, Thomas Perl wrote: > > This seems to be the following upstream bug: > > https://github.com/gpodder/gpodder/issues/265 > > > > A fix would be to upgrade to Pyth

Bug#917482: jhove: FTBFS in buster at least since 2018-12-07

2019-01-19 Thread tony mancill
On Sat, Jan 19, 2019 at 04:51:02PM -0500, Abdelhakim Qbaich wrote: > Hi, > > I've attached a patch and made an upstream pull request. Hello Abdelhakim Qbaich, Thank you for the patch. I have applied it and a few other misc packaging changes and uploaded to the archive. Che

Bug#919495: imagemagick-6.q16: Missing ImageMagick(1) man page

2019-01-16 Thread Tony Finch
Package: imagemagick-6.q16 Version: 8:6.9.7.4+dfsg-11+deb9u6 Severity: normal Dear Maintainer, In stretch, the convert(1) man page includes: SEE ALSO ImageMagick(1) but I get the following error: $ man ImageMagick No manual entry for ImageMagick In sid, the reference from convert(1)

Bug#874219: jxplorer: debian/watch is out of date

2019-01-13 Thread tony mancill
of version 3.3.02 in Debian as 3.3.2 and then the subsequent upstream release of version 3.3.1.2 is unfortunate. We'll figure something out to get the version updates. Thank you for the bug report. tony [1] https://sourceforge.net/projects/jxplorer/files/jxplorer/ [2] https://github.com/pegacat/jxplorer

Bug#919092: Bug#919095: Bug#919092: fixed in mongo-java-driver 3.6.3-2

2019-01-13 Thread tony mancill
On Sun, Jan 13, 2019 at 01:51:17PM +0100, Emmanuel Bourg wrote: > Le 12/01/2019 à 21:31, tony mancill a écrit : > > > Should I revert > > https://salsa.debian.org/java-team/apache-log4j2/commit/4d8cf4493ad9f63a8cf8d24ae463bd18a12ed1a1 > > and restore support for that l

Bug#919092: Bug#919095: Bug#919092: fixed in mongo-java-driver 3.6.3-2

2019-01-12 Thread tony mancill
java-team/apache-log4j2/commit/4d8cf4493ad9f63a8cf8d24ae463bd18a12ed1a1 and restore support for that logging adapter? Thank you, tony

Bug#918820: msmtp: AppArmor profile makes passwordeval unusable

2019-01-12 Thread tony mancill
as part of Buster could reduce confusion. Thank you for the quick response and clarification in the BTS. It made it much easier to figure out what had happened to my msmtp setup. Cheers, tony [1] https://wiki.archlinux.org/index.php/msmtp#GnuPG

Bug#917655: biojava4-live: FTBFS (cannot find symbol JAXBContext)

2019-01-11 Thread tony mancill
l on the classpath while running tests. Attached are a set of commits that let the package build for me locally. Cheers, tony From f8f5c72b866718e05811b33f8445ee311228da12 Mon Sep 17 00:00:00 2001 From: tony mancill Date: Fri, 11 Jan 2019 20:17:27 -0800 Subject: [PATCH 1/3] Add build-dep o

Bug#890063: Including German translation before Freeze?

2019-01-10 Thread tony mancill
On Thu, Jan 10, 2019 at 07:34:50PM +0100, Helge Kreutzmann wrote: > Hello Tony, > hello Gregor, > would it be possible to perform an upload with the German translation > before the freeze so that German speaking users of the next stable > release can enjoy the translati

Bug#906017: java.lang.UnsatisfiedLinkError: Cannot load 64-bit SWT libraries on 32-bit JVM

2019-01-07 Thread tony mancill
you, tony [1] https://tracker.debian.org/news/1018341/accepted-swt4-gtk-4100-3-source-into-unstable/

Bug#892348: xmlroff: using 'pkg-config' to find FreeType 2

2019-01-07 Thread Tony Graham
The change to use 'pkg-config' is included in xmlroff 0.6.3: https://github.com/xmlroff/xmlroff/releases/tag/v0.6.3

Bug#917727: openhft-lang: FTBFS: [ERROR] /<>/lang/src/main/java/net/openhft/lang/io/IOTools.java:[85, 13] cannot find symbol

2019-01-04 Thread tony mancill
On Wed, Jan 02, 2019 at 01:05:40PM +0100, Emmanuel Bourg wrote: > Le 30/12/2018 à 17:29, tony mancill a écrit : > > > Given that there aren't many (or any?) r-deps for the openhft libraries, > > I'm tempted to pull the versions in experimental into unstable so we > > have

Bug#890339: gnuradio: ControlPort not usable because gnuradio was compiled without Thrift

2019-01-01 Thread tony mancill
without a patch/port to the newer Thrift release. There is an upstream bug report of this issue: https://github.com/gnuradio/gnuradio/issues/2089 Cheers, tony

Bug#917727: openhft-lang: FTBFS: [ERROR] /<>/lang/src/main/java/net/openhft/lang/io/IOTools.java:[85, 13] cannot find symbol

2018-12-30 Thread tony mancill
openhft libraries, I'm tempted to pull the versions in experimental into unstable so we have the libraries in buster. It's either that, or not include these packages in buster at all. Thoughts? Thanks, tony signature.asc Description: PGP signature

Bug#917576: stegosuite: depends on libswt-gtk2 which is no longer built

2018-12-30 Thread tony mancill
ckages that have runtime dependences on swt4-gtk's binary packages? Thank you, tony signature.asc Description: PGP signature

Bug#805527: notify-osd: Autostart file uses a wrong program path

2018-12-13 Thread Tony
While your patch is not yet implemented, I fixed the problem on my system by setting up a symbolic link as follows. #mkdir /usr/lib/notify-osd #ln -s /usr/lib/x86_64-linux-gnu/notify-osd /usr/lib/notify-osd/notify-osd Tony Debian Stretch, Linux 4.9, SDDM 0.18, Openbox 3.6, Conky 1.10 Sent

Bug#912916: mysql-connector-java: CVE-2018-3258: allows low privileged attacker to compromise it

2018-11-07 Thread tony mancill
"org.mariadb.jdbc.Driver", At runtime, the mariadb-java-client JAR does seem to be a drop-in replacement. I tested against mysql-5.7 both before and after the change, and was able to use the same connection string, etc. The information on the MariaDB Connector/J page [1] was helpful. Cheers, tony [1] https://mariadb.com/kb/en/library/about-mariadb-connector-j/ signature.asc Description: PGP signature

Bug#912221: jabref: incompatible with openjdk 11

2018-11-06 Thread tony mancill
On Thu, Nov 01, 2018 at 02:22:26PM +0100, Emmanuel Bourg wrote: > On 01/11/2018 01:54, tony mancill wrote: > > > I am definitely open to (and appreciative of) your suggestions. > > Hi Tony, even if the jaxb package doesn't yet provide the xjc executable > (#90

Bug#911732: hiredis: Please backport 0.14.0 to stretch -backports

2018-11-04 Thread tony mancill
ct" adoption > > No formalities; I just upload. Let me know concretely and > definitively whether you want me to do this & fix this bug at the > same time. (It's a little unclear at the moment given you are asking > Tony to do some work in your previous message.) I'm in th

Bug#912221: jabref: incompatible with openjdk 11

2018-10-31 Thread tony mancill
openjdk-8, so right now jabref depends on both default-jdk AND openjdk-8. The build is with default-jdk and openjdk-8 is only for the xjc binary. I am definitely open to (and appreciative of) your suggestions. Cheers, tony signature.asc Description: PGP signature

Bug#912221: jabref: incompatible with openjdk 11

2018-10-29 Thread tony mancill
On Mon, Oct 29, 2018 at 11:44:36PM +0100, Emmanuel Bourg wrote: > Le 29/10/2018 à 13:54, gregor herrmann a écrit : > > > Now that openjdk 11 is the default, jabref won't start without some > > help: > > > > % jabref > > Error occurred during initialization of boot layer > >

Bug#911732: hiredis: Please backport 0.14.0 to stretch -backports

2018-10-28 Thread tony mancill
owner 911732 tmanc...@debian.org thanks Hi All, The backport to stretch-backports is trivial - I only have to downgrade debhelper from 11 to 10 to build against stretch - and so I plan to do the bpo upload once 0.14.0-2 hits testing. Cheers, tony signature.asc Description: PGP signature

Bug#898705: [Android-tools-devel] Bug#898705: android-platform-libcore 8.1 upload to unstable?

2018-10-07 Thread tony mancill
quot; being non-DFSG, which is how libandroid-json-java came be used outside of the Android toolchain. Cheers, tony signature.asc Description: PGP signature

Bug#898705: android-platform-libcore 8.1 upload to unstable?

2018-10-03 Thread tony mancill
to update the 7.0.0+r33 based package? Thank you, tony signature.asc Description: PGP signature

Bug#910035: O: cowsay -- configurable talking cow

2018-10-01 Thread tony
Package: wnpp Severity:Normal

Bug#907491: closed by Paul Gevers (Re: goobook fails to authenticate)

2018-09-22 Thread tony mancill
cted by this bug, I can confirm that goobook is working correctly for me on a pure Debian installation. Thank you for maintaining this software for Debian! tony

Bug#899031: [roxterm] Please provide new roxterm packages

2018-09-20 Thread Tony Houghton
On Thu, 20 Sep 2018 at 11:30, Egmont Koblinger wrote: > ... and he's also the maintainer of the Debian package, haha, I missed > this bit :) > > Tony, do you feel like reviving maintenance of the Debian package, or > perhaps finding a new maintainer for it? > I was only a sp

Bug#906017: java.lang.UnsatisfiedLinkError: Cannot load 64-bit SWT libraries on 32-bit JVM

2018-08-14 Thread tony mancill
y wrong with our SWT packaging, although I haven't figured out what it is yet. Once I do, I'll assign the bug report(s) appropriately. Thank you for reporting this issue. tony [1] https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=904754 signature.asc Description: PGP signature

Bug#903428: javadocs generated by javahelper include jquery

2018-08-11 Thread tony mancill
will take a look to see if we can get the severity of the lintian warning [1] reduced to some lower level (pedantic?) or completely ignored for javadoc packages. Cheers, tony [1] https://lintian.debian.org/tags/embedded-javascript-library.html signature.asc Description: PGP signature

Bug#905267: testng: Help upgrade package to latest upstream release

2018-08-08 Thread tony mancill
ery soon. Thank you for filing the bug report. Cheers, tony signature.asc Description: PGP signature

Bug#903428: javadocs generated by javahelper include jquery

2018-07-16 Thread tony mancill
On Wed, Jul 11, 2018 at 06:35:21PM +0200, Markus Koschany wrote: > Hi tony, > > Am 10.07.2018 um 05:22 schrieb tony mancill: > [...] > > I'm in favor of dropping the -java-doc packages completely and instead > > using our time and effort to improve the state

Bug#903428: javadocs generated by javahelper include jquery

2018-07-09 Thread tony mancill
"Debian" approach to avoid embedding an available system library. If we really want javadoc, we could resubmit (preferably with a patch). Cheers, tony [1] https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=883981 signature.asc Description: PGP signature

Bug#902794: Misuse of "async" keyword causes syntax error in /usr/lib/python3/dist-packages/gpodder/gtkui/services.py

2018-06-30 Thread tony mancill
all correctly at the time when it was uploaded, and it still installs in testing/buster. Therefore I assume the problem started with the recent update of python from 3.6.5 -> 3.6.6 [1]. I'll get it addressed right away. Thanks! tony [1] https://tracker.debian.org/news/968500/accepted-python3-defaults-366-1-source-into-unstable/ signature.asc Description: PGP signature

Bug#902317: disruptor: FTBFS with openjdk-10-jdk - package sun.misc does not exist

2018-06-24 Thread tony mancill
Source: disruptor Version: 3.3.11-1 Severity: serious The disruptor package fails build in unstable. ... [INFO] - [ERROR] COMPILATION ERROR : [INFO] - [ERROR]

Bug#900356: jabref: JabRef does no longer start with Java8

2018-06-17 Thread tony mancill
On Sat, Jun 02, 2018 at 07:06:56PM +0200, gregor herrmann wrote: > On Sat, 02 Jun 2018 09:59:55 -0700, tony mancill wrote: > > > What I think we should do is try to detect if the jabref-wrapper is > > being invoked with java8 and clear the options required for the ja

Bug#900739: crashing in toke.c, keyword plugin pointer is left pointing to an XS module that's been unloaded

2018-06-04 Thread Tony Cook
t > place for a fix for this issue to live? 5.26.2 has the fix as v5.26.1-61-g1e4ebce09b maint-5.24 received only a very small set of changed outside of Module::CoreList changes and the security fixes for the last release. Tony

Bug#900739: crashing in toke.c, keyword plugin pointer is left pointing to an XS module that's been unloaded

2018-06-03 Thread Tony Cook
4) would reload libperl, with PL_keyword_plugin pointing at the default keyword plugin function. The patch incidentally prevents libm depending on the _LIB_VERSION symbol in libperl, so libperl can unload when mod_perl unloads. Tony [1] https://wiki.apache.org/httpd/ModuleLife

Bug#900356: jabref: JabRef does no longer start with Java8

2018-06-02 Thread tony mancill
anges were: > "default-jre (>= 2:1.8) | java8-runtime" → "openjdk-8-jre" → "" > > I guess, adding something like > "default-jre (>= 2:1.9) | java9-runtime" > should help (java9-runtime is provided by default-jre (2:1.10-65), > defaul

Bug#900378: glx-alternative-nvidia: Fails to enable proprietary accelerated OpenGL and does not report the problem

2018-05-29 Thread Tony Houghton
Package: glx-alternative-nvidia Version: 0.8.3 Severity: normal Since a dist-upgrade I noticed a poor framerate and high CPU usage in Minecraft. glxinfo seems to indicate it's using software rendering: name of display: :1 display: :1 screen: 0 direct rendering: Yes server glx vendor string: SGI

Bug#900243: python-minimock: new upstream version 1.2.8 available

2018-05-27 Thread tony mancill
Package: python-minimock Version: 1.2.7-1 Severity: wishlist Hello, MiniMock 1.2.8 is available. This version includes updates to support Python 3. This update would be a natural predecessor to adding a python3-minimock binary package. Thank you, tony

Bug#897215: sikulix: SikuliX 1.1.1 does not support Java 9

2018-05-27 Thread tony mancill
nsitions... I have added @lamby to the Java Team in Salsa [1] so that you can push to the repo. Let me know if you have any issues with access, etc. Cheers, tony [1] https://salsa.debian.org/groups/java-team/-/group_members

Bug#898570: jabref: Moreover, there is 4.2 now! Still no running jabref anywhere, since 3.5. No openjdk/-jfx or whatsoever anywhere.

2018-05-13 Thread tony mancill
stalling the current version from testing/unstable, which 3.8.2+ds-3 [4]. Thank you, tony [1] https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=877718 [2] https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=893138 [3] https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=850921 [4] https://packages.

Bug#893561: libtablelayout-java: license does not seem to meet the DFSG

2018-04-15 Thread tony mancill
JARs, to allow multiple versions of a library to co-exist in the same project, etc... Doing so to respect the wishes of the upstream author seems perfectly natural to me. All that said, it would be simpler for everyone if the upstream author is willing to relicense the software. Good luck in your at

Bug#894667: beep: CVE-2018-0492

2018-04-05 Thread Tony Hoyle
The patch vulnerability seems more severe to me, as people apply patches all the time (they shouldn't do it as root, but people are people). It's concerning that the holeybeep.ninja site exploited an unrelated fault for 'fun' without apparently telling anyone. Tony

Bug#893547: ant: please do not emit --ignore-source-errors on Java 9

2018-03-28 Thread tony mancill
On Wed, Mar 28, 2018 at 09:21:45AM +0200, Emmanuel Bourg wrote: > Le 20/03/2018 à 05:20, tony mancill a écrit : > > > I'm in the midst of preparing an update for ant. Is there any context > > in which we want to add "--ignore-source-errors" to the ant javadoc >

Bug#889072: chromium: Crash when opening print dialog (regression from v 63 in stable)

2018-03-28 Thread Tony Thedford
to safely print a page from Chromium. Turning off strict isolation is not a safe work around as far as I know. -- Tony Thedford

Bug#894011: java-common: Please move ia64 to the list of Java 9 architectures

2018-03-27 Thread tony mancill
it as the default JDK for ia64. Thus, please move ia64 from the > list of Java 5 architectures to the list of Java 9 architectures. Hi Adrian, I will take care of this with the next upload. Cheers, tony signature.asc Description: PGP signature

Bug#877718: Fine-grained TODOs

2018-03-26 Thread tony mancill
ess. Cheers, tony [1] https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=850921 signature.asc Description: PGP signature

Bug#873227: Please upgrade to 4.1: Java 9 support

2018-03-25 Thread tony mancill
On Sun, Mar 25, 2018 at 04:03:59PM +0200, Markus Koschany wrote: > Hi tony, > > Am 25.03.2018 um 06:26 schrieb tony mancill: > [...] > > > I'm going to upload to experimental momentarily and ask others on the > > Java Team if there any concern about uploading Gradle

Bug#893247: Intend to take over libjbzip2-java and libnanoxml2-java into Debian Med team

2018-03-25 Thread tony mancill
Perl Team and allow all DDs by default OR (c) configuring any other mechanism that would allow the union of these two teams (and others!) to contribute to the packaging. As for which team is listed in the Maintainer field, I don't think it matters much as long as we have a suitable set of interes

  1   2   3   4   5   6   7   8   9   10   >